Versão 1.0.0 beta disponível para testes

Está disponível para teste a beta da próxima versão do Novo SGA a ser lançada em dezembro.

A primeira coisa a ser levantada é que essa versão está sofrendo alterações na modelagem do banco e não será compatível com as versões 0.x.x e seus paineis (servidor e clientes). Então não tente instalar no banco que já esteja rodando uma versão do Novo SGA.

Mas não precisa ficar preocupado porque assim que a versão final for lançada haverá o script de atualização da base.

Outra modificação importante, diz respeito à instalação. Antes de usar o sistema, usar o instalador web, precisará fazer a instalação das dependências via Composer. Para quem for testar no linux é só executar o seguinte comando na raiz do diretório do projeto:

php composer.phar install

Ao término da instalação das dependências basta acessar o instalador como na versão anterior (diretório public). E não esquecer de habilitar o mod_rewrite do Apache2.

Painel

Já para exibir as senhas pode-se usar a próxima versão do Painel Web, disponível em um repositório exclusivo agora: https://github.com/novosga/painel-web.

Totalmente desmembrado do projeto principal, tornará mais fácil a customização do Painel Web e o seu uso em outros projetos também.

Agora é com vocês!

Caso encontrem algum bug, não deixe de reportar. Só assim teremos uma versão estável e confiável dentro do prazo.

Baixar versão 1.0.0 beta

[UPDATE 2013-10-23]
Baixar versão 1.0.0 beta 2

42 ideias sobre “Versão 1.0.0 beta disponível para testes

  1. Samuel Silva

    O meu eu consegui instalar mais quando clico em configuração para configurar os serviços não aparece nada fica em branco. Já instalei 2 vezes e deu o mesmo erro.

    Responder
    1. Rogério Autor do post

      Obrigado por avisar Samuel!

      Atualizei o arquivo zip, então se quiser é só baixar novamente (e você pode substituir o arquivo lib/novosga/Config.php pelo o do já instalado para não ter que abrir a instalação de novo).

      Responder
        1. Samuel Silva

          Cara funcionou só senti falta da auto-triagem mais sei q e a beta e ainda esta em aprimoramento de alguns módulos no mais testei e funcionou bem só não consegui testar o painel 🙁 mais vou continuar mexendo qualquer erro reporto a v6 e mais uma vez parabéns pelo projeto.

          Responder
          1. Rogério Autor do post

            A ideia é tornar o auto-triagem e o painel-web projetos separados que apenas consomem o projeto principal.

  2. Felipe

    o meu depois de criando o banco quando foi instalar deu …

    An exception occurred while executing ‘SQLSTATE[42P07]: Duplicate table: 7 ERROR: relation “atend_codif” already exists’

    Responder
  3. Tiago

    Gostaria de saber o seguinte:
    – Esse script de atualização da Base servirá apenas para a versão Beta do 1.0.0 ou servirá também para a versão 0.x.x.
    – Existe algum documento aqui no site que indique as funcionalidades/Modificações que estarão disponíveis para a versão 1.0.0 final?

    Responder
  4. Tiago

    Esqueci de uma ultima pergunta:
    na versão 1.0.0 tem possibilidade de mostras no painel de Triagem apenas os serviços que eu determinar para aquela triagem? Supondo que eu tenha triagens diferentes no mesmo local.

    Desde já agradeço!!!!!!!!!

    Responder
    1. Rogério Autor do post

      Não estará disponível na versão 1.0.0 não, mas é uma funcionalidade que também já notei necessidade.

      Em uma versão customizada da 0.7.x eu fiz com base nos serviços escolhidos para atender, e na unidade a pessoa escolhe se quer que liste todos ou filtre pelos serviços do usuário.

      Responder
      1. Tiago

        Rogério, onde eu trabalho estamos com esse problema, pois temos um serviço que não vai estar disponível para o cliente, ele faz parte do fluxo de outro serviços, e quem redireciona a senha gerada para essa parte do fluxo são os atendentes. Espero que possamos ter essa funcionalidade em breve.

        Responder
      1. Roberto Félix

        Rogério,

        Obrigado pela resposta, como eu utilizo o antigo SGA na versão 1.0.4 optei por migrar na “mão”, cadastrando tudo de novo. Ainda bem que aqui é pequeno e foi tranquilo. Agora uma pergunta, onde eu configuro a senha para colocar o brasão da minha Secretaria Estadual? No antigo eu sabia que era no TTriagem.php

        Atenciosamente

        Responder
  5. Samuel Silva

    Queria saber se nesta nova versão poderemos utilizar o mesmo serviço em outras unidades e vincular aos atendentes, pois por exemplo trabalho em um hospital e tenho vario serviços iguais para varias recepções onde eles trabalham com rodizio de funcionário e não da para vincular o mesmo serviço em duas unidades para o mesmo funcionário eu tenho que duplicar o serviço para poder associar nas duas unidades.

    e gostaria de saber se tem alguma possibilidade de uma avaliação do atendimento

    desde já agradeço.

    Responder
    1. Rogério Autor do post

      Isso de não poder escolher o mesmo serviço é um bug que ainda não tinha sido relatado #97. Como é simples de resolver será corrigido nessa versão 1.0.0 mesmo.

      Já sobre a avaliação do atendimento, isso ainda não está nos planos.

      Responder
  6. Rogério Autor do post

    Versão atualizada para 1.0.0-beta 2.

    Pode baixar direto pelo link contido no post ou através do Composer:

    php composer.phar create-project novosga/novosga novosga-1.0.0-beta2 "dev-master" --prefer-dist

    Responder
  7. Carlos

    Buen día Rogerio, mi nombre es Carlos y pertenezco al equipo de Software Libre de la Municipalidad de Rosario. Nosotros hemos tomado el antiguo SGA Livre y lo traducimos al español para poder utilizarlo en lugares públicos. Todo este trabajo de traducción lo compartimos en nuestro sitio web. Nos gustaría poder subir y compartir (enviar un mail a los que descargaron el anterior) el panel de novosga.
    Por el momento no hemos avanzado mucho, pero ya trucimos el 90% del sistema web. Nos gustaría ponernos en contacto contigo. Saludos

    Responder
  8. Jan Paiva

    Rogério,

    O problema estava na pessoa que estava fazendo a instalação. Este problema resolvido, a instalação correu sem problemas e a nova interface está realmente bem melhor ( performance) . Tenho que fazer mais testes antes de poder falar mais sobre a versão 10.

    Responder
  9. Felipe

    Ola Rogério nessa versão beta, consegue carregar as unidade no painel web ?

    inclusive ja estou testando no beta 2 e baixei o painel-web-master

    Responder
        1. Rogério Autor do post

          Extraia o painel web e coloque-o no www, como uma aplicação web normal. Depois acesse ele via navegador. Ex: http://localhost/painel-web/index.html.

          Quando a aplicação abrir, você terá que clicar no link da configuração (canto superior direito). E então na janela que aparecerá você colocará o link do Novo SGA (campo URL), igual você colou aí em cima. Ao sair do campo, já deve carregar as unidades abaixo, e ao selecionar uma unidade, aparecem os serviços.

          Também na janela de configuração, tem uma aba para configurar a vocalização.

          Responder
  10. Jan Paiva

    Rogério,

    Estou rodando o Beta2 aqui e quando tento adicionar uma nova unidade, o Drop-list de grupo está sempre vazio. Ou seja , não ha como adicionar um novo grupo. Não acredito que eu esteja fazendo algo errado.

    Att,
    Jan

    Responder
    1. Rogério Autor do post

      Jan,

      só pode ter uma unidade por grupo. Você precisará criar um novo grupo primeiro. Porém ao criar o segundo grupo (primeiro filho da raiz), a unidade que estava vinculada a raiz cairá para esse novo filho, então é necessário criar outro grupo (também filho do raiz) para enfim cadastrar a unidade.

      Essa confusão é necessária para facilitar o controle de acesso. Quem tem acesso ao grupo pai automaticamente terá acesso aos filhos.

      Responder
  11. jefersson

    pessoal me diga o que estou fazendo errado, pois estou tentando instalar a versão beta e beta2, e dão o msm problema.
    Antes pedia a instalação do composer.phar, me bati um pouco até descobrir, que precisava habilitar o openssl direto no arquivo httpd, pois o apache msm dizendo que esta habilitado precisa ir la e configurar, depois disso ao acessar o public/ … ele vai até o index, porem e retorna o seguinte:
    Não é possível exibir esta página

    •Verifique se o endereço da Web http://localhost está correto.
    •Procure a página com seu mecanismo de pesquisa.
    •Atualize a página em poucos minutos.

    Responder
    1. Rogério Autor do post

      Foi removido e não estará presente na versão 1.0.0. Será relançado como um projeto a parte (assim como o PainelWeb) e então resolverá problemas de sessão, portabilidade, customização, etc.

      Responder
  12. Fausto Oliveira

    Quando tento executar o composer, no servidor através do SSH, apresenta o seguinte erro:
    “Segmentation fault”

    Teria como instalar sem o uso do “composer”, copiando os arquivos manualmente?

    Responder
  13. Pingback: Versão 1.0.0 lançada | Novo SGA Blog

Deixe uma resposta

O seu endereço de e-mail não será publicado. Campos obrigatórios são marcados com *